function readTheCookie(the_info)
{
	var split_stuff;

	// wczytujemy plik cookie do zmiennej i zmieniamy formatowanie jego
	// zawartości
	var the_cookie = WM_readCookie("purchases");    
	if (the_cookie)
      {
            
		if (the_cookie.indexOf('/') != -1) 
		{
            	split_stuff = the_cookie.split("/");
                  for (var loop=0; loop < split_stuff.length; loop++)
                  {
                     the_info[loop] = split_stuff[loop];
                  }
		} else {
			the_info[0] = the_cookie;
		}
    }
}

function addToCart(amount, item, price)
{
      var purch_string = item + ":" + amount + ":" + price;

	// wczytujemy plik cookie do zmiennej i zmieniamy formatowanie jego
	// zawartości
	var the_cookie = WM_readCookie("purchases");    
	if (the_cookie)
	{
		purch_string = the_cookie + "/" + purch_string;
	}
	WM_setCookie("purchases",purch_string,0,"/");
}


function checkOut()
{
    var total=0;
    var the_stuff = new Array();
    readTheCookie(the_stuff);

    document.writeln("<table border=2>");
    document.writeln("<th>Towar</th><th>Ilość</th><th>Cena</th><th>Razem</th>");
    for (var loop=0; loop<the_stuff.length; loop++)
    {
        var this_item = the_stuff[loop].split(":");
        document.writeln("<tr>");
        for (var inloop = 0; inloop < this_item.length; inloop++)
        {
            document.writeln("<td>"); 
            document.writeln(this_item[inloop]); 
            document.writeln("</td>");
        }
	  sub_total = this_item[1] * this_item[2];
    	  total += sub_total;
	  document.writeln("<td>" + sub_total + "</td>");
        document.writeln("</tr>");
    }
    document.writeln("<tr><td><b>Suma</b></td><td></td><td></td><td><b>" + total + "</b></td></tr>");
    document.writeln("</table>");
}



/*
WM_setCookie(), WM_readCookie(), WM_killCookie()
Zestaw funkcji ułatwiających obsługę plików cookie

Źródło: Webmonkey Code Library
(http://www.hotwired.com/webmonkey/javascript/code_library/)

Autor: Nadav Savio
Adres e-mail autora: nadav@wired.com
*/


// Ten fragment kodu sprawdza, czy przeglądarka użytkownika obsługuje
// pliki cookie
var WM_acceptsCookies = false;
if(document.cookie == '') {
    document.cookie = 'WM_acceptsCookies=yes'; 
	 // Próbujemy utworzyć plik cookie.
    if(document.cookie.indexOf('WM_acceptsCookies=yes') != -1) {
	WM_acceptsCookies = true; 
    }// Jeśli się uda, definiujemy zmienną
} else { // jeśli plik cookie już istnieje
  WM_acceptsCookies = true;
}


function WM_setCookie (name, value, hours, path, domain, secure) {
    if (WM_acceptsCookies) { // Jeśli przeglądarka nie obsługuje
	 // plików cookie.
	var not_NN2 = (navigator && navigator.appName 
		       && (navigator.appName == 'Netscape') 
		       && navigator.appVersion 
		       && (parseInt(navigator.appVersion) == 2))?false:true;

	if(hours && not_NN2) { // NN2 nie obsługuje dat, więc omijamy ten fragment
	    if ( (typeof(hours) == 'string') && Date.parse(hours) ) { 
		 // ciąg Date
		var numHours = hours;
	    } else if (typeof(hours) == 'number') { 
		 // Obliczamy datę na podstawie liczby godzin
		var numHours = (new Date((new Date()).getTime() + hours*3600000)).toGMTString();
	    }
	}
	document.cookie = name + '=' + escape(value) + ((numHours)?(';expires=' + numHours):'') + ((path)?';path=' + path:'') + ((domain)?';domain=' + domain:'') + ((secure && (secure == true))?'; secure':''); 
	// Tworzymy plik cookie, definiując odpowiednie parametry.
    }
} // WM_setCookie


function WM_readCookie(name) {
    if(document.cookie == '') { // Nie ma pliku cookie, więc dalsze instrukcje
	 // można pominąć
	return false; 
    } else { // jeśli plik cookie istnieje
	var firstChar, lastChar;
	var theBigCookie = document.cookie;
	firstChar = theBigCookie.indexOf(name);	// wyszukujemy początek
	// ciągu tekstowego 'name'
	var NN2Hack = firstChar + name.length;
	if((firstChar != -1) && (theBigCookie.charAt(NN2Hack) == '=')) { 
	// jeśli plik cookie został znaleziony
	    firstChar += name.length + 1; // pomijamy 'name' i '='
	    lastChar = theBigCookie.indexOf(';', firstChar); 
		 // Wyszukujemy koniec ciągu tekstowego odpowiadającego
		 // wartości (na przykład kończący się kolejnym znakiem ';').
	    if(lastChar == -1) lastChar = theBigCookie.length;
	    return unescape(theBigCookie.substring(firstChar, lastChar));
	} else { // Jeśli nie znaleziono pliku cookie o podanej nazwie
	// zwrócić wartość false
	    return false;
	}
    }	
} // WM_readCookie

function WM_killCookie(name, path, domain) {
  var theValue = WM_readCookie(name); // Potrzebujemy wartości,
  // aby usunąć plik cookie
  if(theValue) {
      document.cookie = name + '=' + theValue + '; expires=Fri, 13-Apr-1970 00:00:00 GMT' + ((path)?';path=' + path:'') + ((domain)?';domain=' + domain:''); // tworzymy plik cookie o wygasłej dacie ważności
  }
} // WM_killCookie



